summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVishwanath <vishwanath@gluster.com>2011-03-20 23:52:29 -0700
committerVijay Bellur <vijay@gluster.com>2011-03-21 13:14:54 +0530
commit76585a0cde7ee9900ef119cdfd9e09b2cd4ba83f (patch)
treeb54af8aa467389aa6e94997fdebc0ea5db7d6842
parent2b9ca0efa8b76ccf071fc9d5bdc89e6b2de74b13 (diff)
Regression test case for the bug 2099
Signed-off-by: Vijay Bellur <vijay@gluster.com>
-rwxr-xr-xdvm/2099/testcase26
1 files changed, 26 insertions, 0 deletions
diff --git a/dvm/2099/testcase b/dvm/2099/testcase
new file mode 100755
index 0000000..c7f5d82
--- /dev/null
+++ b/dvm/2099/testcase
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+source ./regression_helpers
+
+VOLNAME="volley"
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id stripe 2 $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null
+
+mount_glusterfs $global_bug_id
+
+dd if=/dev/zero of=$FUSE_MOUNT/file.x bs=128K count=1000 2>/dev/null 1>/dev/null
+
+kill -KILL `ps -aef | grep brick2 | head -n 1 | awk '{print $2}'`
+
+sleep 2
+ls $FUSE_MOUNT/file.x 2>/dev/null 1>/dev/null
+temp=$?
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id force 2>/dev/null 1>/dev/null
+rm $FUSE_MOUNT/file.x 2>/dev/null 1>/dev/null
+
+umount $FUSE_MOUNT
+
+exit $temp